POST api/members
Creates a new member and adds it to a referral program.
Request Information
URI Parameters
Query String: shouldSendEmail={shouldSendEmail}
| Name | Description | Type | Additional information |
|---|---|---|---|
| shouldSendEmail |
Set the value to true if the member should get the program's confirmation email. Optional. |
boolean |
Default value is False |
Body Parameters
A list of required structures containing information about the member to add to a referral program.
Type: NewMember
| Name | Description | Type | Additional information |
|---|---|---|---|
| programId |
The ID of the referral program to which the member will be added. |
string |
Required |
| recruiterSourceId |
RecruiterId assoicated with the member; takes precedence over the source email/external id fields. Optional unless recruiterAssignedId is supplied. |
globally unique identifier |
None. |
| recruiterSourceEmail |
Email of the recruiter who sourced the member; ignored when recruiterSourceId is provided. Optional. |
string |
None. |
| recruiterSourceExternalId |
External ID of the recruiter who sourced the member; ignored when recruiterSourceId is provided. Optional. |
string |
None. |
| firstName | string |
Required |
|
| lastName |
Optional |
string |
None. |
| string |
Required |
||
| referralCode |
Optional |
string |
None. |
| phone |
Phone |
string |
None. |
| externalIdentifier |
An alternative ID provided to help link the member to relevant data in external systems. Optional. |
string |
None. |
| dateOfBirth |
Optional |
date |
None. |
| addressLine1 |
Optional |
string |
None. |
| addressLine2 |
Optional |
string |
None. |
| city |
Optional |
string |
None. |
| region |
Member region, must be a region name or ISO_3166-2 subdivision code, can only be supplied if country is also provided. Optional. |
string |
None. |
| countrySubdivision |
Member state/province Optional. New integrations must use region field instead. |
string |
None. |
| country |
Member country name or ISO_3166-2 country code. Optional. |
string |
None. |
| postalCode |
Optional. |
string |
None. |
| password |
Optional |
string |
None. |
| disabledFlag |
This flag is set if the member is NOT enabled for use in referral programs. Optional. |
boolean |
None. |
| allowExcessPayments |
Set to true to allow the member to receive reward payouts beyond the annual payment limit. Optional. |
boolean |
None. |
| payoutInfo |
Optional. |
MemberPayoutInfo |
None. |
| customOption1Name |
Custom Option 1 Name. Optional. |
string |
None. |
| customOption1Value |
Custom Option 1 Value. Optional. |
string |
None. |
| customText1Name |
Custom Text 1 Name. Optional. |
string |
None. |
| customText1Value |
Custom Text 1 Value. Optional. |
string |
None. |
| customText2Name |
Custom Text 2 Name. Optional. |
string |
None. |
| customText2Value |
Custom Text 2 Value. Optional. |
string |
None. |
| customOverrideURL |
Custom Override URL. Optional. |
string |
None. |
| recruiterAssignedId |
RecruiterId currently assigned to the member; takes precedence over the recruiter email/external id fields. Optional. |
globally unique identifier |
None. |
| recruiterAssignedEmail |
Email of the recruiter to assign; ignored when recruiterAssignedId is provided. Optional. |
string |
None. |
| recruiterAssignedExternalId |
External ID of the recruiter to assign; ignored when recruiterAssignedId is provided. Optional. |
string |
None. |
Request Formats
application/json, text/json
{
"programId": "sample string 1",
"recruiterSourceId": "913c9b0d-d43b-4bab-b2a9-986e4b6f2391",
"recruiterSourceEmail": "sample string 2",
"recruiterSourceExternalId": "sample string 3",
"firstName": "sample string 4",
"lastName": "sample string 5",
"email": "sample string 6",
"referralCode": "sample string 7",
"phone": "sample string 8",
"externalIdentifier": "sample string 9",
"dateOfBirth": "2026-08-11T17:42:22.168998Z",
"addressLine1": "sample string 10",
"addressLine2": "sample string 11",
"city": "sample string 12",
"region": "sample string 13",
"countrySubdivision": "sample string 14",
"country": "sample string 15",
"postalCode": "sample string 16",
"password": "sample string 17",
"disabledFlag": true,
"allowExcessPayments": true,
"payoutInfo": {
"payoutType": "sample string 1",
"useDefaultValues": true,
"email": "sample string 3"
},
"customOption1Name": "sample string 18",
"customOption1Value": "sample string 19",
"customText1Name": "sample string 20",
"customText1Value": "sample string 21",
"customText2Name": "sample string 22",
"customText2Value": "sample string 23",
"customOverrideURL": "sample string 24",
"recruiterAssignedId": "9047243c-4def-4123-8883-03c85f30a705",
"recruiterAssignedEmail": "sample string 25",
"recruiterAssignedExternalId": "sample string 26"
}
application/xml, text/xml
<newMember xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<addressLine1>sample string 10</addressLine1>
<addressLine2>sample string 11</addressLine2>
<allowExcessPayments>true</allowExcessPayments>
<city>sample string 12</city>
<country>sample string 15</country>
<countrySubdivision>sample string 14</countrySubdivision>
<customOption1Name>sample string 18</customOption1Name>
<customOption1Value>sample string 19</customOption1Value>
<customOverrideURL>sample string 24</customOverrideURL>
<customText1Name>sample string 20</customText1Name>
<customText1Value>sample string 21</customText1Value>
<customText2Name>sample string 22</customText2Name>
<customText2Value>sample string 23</customText2Value>
<dateOfBirth>2026-08-11T17:42:22.168998+00:00</dateOfBirth>
<disabledFlag>true</disabledFlag>
<email>sample string 6</email>
<externalIdentifier>sample string 9</externalIdentifier>
<firstName>sample string 4</firstName>
<lastName>sample string 5</lastName>
<password>sample string 17</password>
<payoutInfo>
<email>sample string 3</email>
<payoutType>sample string 1</payoutType>
<useDefaultValues>true</useDefaultValues>
</payoutInfo>
<phone>sample string 8</phone>
<postalCode>sample string 16</postalCode>
<recruiterAssignedEmail>sample string 25</recruiterAssignedEmail>
<recruiterAssignedExternalId>sample string 26</recruiterAssignedExternalId>
<recruiterAssignedId>9047243c-4def-4123-8883-03c85f30a705</recruiterAssignedId>
<referralCode>sample string 7</referralCode>
<region>sample string 13</region>
<programId>sample string 1</programId>
<recruiterSourceEmail>sample string 2</recruiterSourceEmail>
<recruiterSourceExternalId>sample string 3</recruiterSourceExternalId>
<recruiterSourceId>913c9b0d-d43b-4bab-b2a9-986e4b6f2391</recruiterSourceId>
</newMember>
Response Information
Resource Description
[HTTP Status 201 - Created]
Type: MemberConfirmation
| Name | Description | Type | Additional information |
|---|---|---|---|
| member |
Structure containing details about the member. |
Member |
None. |
| message |
The message provides more information about the results of the client's request. Review this field for error information. |
string |
None. |
Response Formats
application/json, text/json
{
"message": "sample string 1",
"member": {
"id": "bb6402b1-05a6-4ce1-ae1b-d8471317996b",
"displayName": "sample string 1",
"firstName": "sample string 2",
"lastName": "sample string 3",
"email": "sample string 4",
"phone": "sample string 5",
"externalIdentifier": "sample string 6",
"dateOfBirth": "2026-08-11T17:42:22.1846301Z",
"addressLine1": "sample string 7",
"addressLine2": "sample string 8",
"city": "sample string 9",
"region": "sample string 10",
"countrySubdivision": "sample string 11",
"country": "sample string 12",
"postalCode": "sample string 13",
"disabledFlag": true,
"disabledReason": "sample string 14",
"customOverrideURL": "sample string 15",
"payoutInfo": {
"payoutType": "sample string 1",
"useDefaultValues": true,
"email": "sample string 3"
},
"customOption1Name": "sample string 16",
"customOption1Value": "sample string 17",
"customText1Name": "sample string 18",
"customText1Value": "sample string 19",
"customText2Name": "sample string 20",
"customText2Value": "sample string 21",
"programId": "898e625d-d139-4a7e-868e-0b6660bfb5a6",
"programTitle": "sample string 23",
"programName": "sample string 24",
"referralCode": "sample string 25",
"referralUrl": "sample string 26",
"memberUrl": "sample string 27",
"emailShares": 28,
"socialShares": 29,
"views": 30,
"referrals": 31,
"lastShare": "2026-08-11T17:42:22.1846301Z",
"referralsApproved": 32,
"referralsQualified": 33,
"referralsPending": 34,
"referralsApprovedAmount": 35.0,
"rewardsPendingAmount": 36.0,
"rewardsIssuedAmount": 37.0,
"rewardAmountTotal": 38.0,
"rewards": 39,
"createDt": "2026-08-11T17:42:22.1846301Z",
"utmSource": "sample string 40",
"utmMedium": "sample string 41",
"utmCampaign": "sample string 42",
"browserReferrerUrl": "sample string 43",
"lastViewIPAddress": "sample string 44",
"firstMemberShareDate": "2026-08-11T17:42:22.1846301Z",
"firstMemberViewDate": "2026-08-11T17:42:22.1846301Z",
"firstReferralViewDate": "2026-08-11T17:42:22.1846301Z",
"lastReferralAddDate": "2026-08-11T17:42:22.1846301Z",
"firstReferralAddDate": "2026-08-11T17:42:22.1846301Z",
"lastMemberRewardAddDate": "2026-08-11T17:42:22.1846301Z",
"firstMemberRewardAddDate": "2026-08-11T17:42:22.1846301Z",
"activatedDate": "2026-08-11T17:42:22.1846301Z",
"lastActiveDate": "2026-08-11T17:42:22.1846301Z",
"status": "sample string 45",
"recruiterSourceId": "0393dd5b-cc64-4601-9b9b-f1086d0a8407",
"recruiterSourceName": "sample string 46",
"recruiterSourceEmail": "sample string 47",
"recruiterAssignedId": "34a7983d-d088-478e-afc5-8b80a0a1265a",
"recruiterAssignedName": "sample string 48",
"recruiterAssignedEmail": "sample string 49",
"recruiterAssignedExternalId": "sample string 50",
"recruiterSourceExternalId": "sample string 51",
"allowExcessPayments": true
}
}
application/xml, text/xml
<memberConfirmation xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<message>sample string 1</message>
<member>
<id>bb6402b1-05a6-4ce1-ae1b-d8471317996b</id>
<displayName>sample string 1</displayName>
<firstName>sample string 2</firstName>
<lastName>sample string 3</lastName>
<email>sample string 4</email>
<phone>sample string 5</phone>
<externalIdentifier>sample string 6</externalIdentifier>
<dateOfBirth>2026-08-11T17:42:22.1846301+00:00</dateOfBirth>
<addressLine1>sample string 7</addressLine1>
<addressLine2>sample string 8</addressLine2>
<city>sample string 9</city>
<region>sample string 10</region>
<countrySubdivision>sample string 11</countrySubdivision>
<country>sample string 12</country>
<postalCode>sample string 13</postalCode>
<disabledFlag>true</disabledFlag>
<disabledReason>sample string 14</disabledReason>
<customOverrideURL>sample string 15</customOverrideURL>
<payoutInfo>
<email>sample string 3</email>
<payoutType>sample string 1</payoutType>
<useDefaultValues>true</useDefaultValues>
</payoutInfo>
<customOption1Name>sample string 16</customOption1Name>
<customOption1Value>sample string 17</customOption1Value>
<customText1Name>sample string 18</customText1Name>
<customText1Value>sample string 19</customText1Value>
<customText2Name>sample string 20</customText2Name>
<customText2Value>sample string 21</customText2Value>
<programId>898e625d-d139-4a7e-868e-0b6660bfb5a6</programId>
<programTitle>sample string 23</programTitle>
<programName>sample string 24</programName>
<referralCode>sample string 25</referralCode>
<referralUrl>sample string 26</referralUrl>
<memberUrl>sample string 27</memberUrl>
<emailShares>28</emailShares>
<socialShares>29</socialShares>
<views>30</views>
<referrals>31</referrals>
<lastShare>2026-08-11T17:42:22.1846301+00:00</lastShare>
<referralsApproved>32</referralsApproved>
<referralsQualified>33</referralsQualified>
<referralsPending>34</referralsPending>
<referralsApprovedAmount>35</referralsApprovedAmount>
<rewardsPendingAmount>36</rewardsPendingAmount>
<rewardsIssuedAmount>37</rewardsIssuedAmount>
<rewardAmountTotal>38</rewardAmountTotal>
<rewards>39</rewards>
<createDt>2026-08-11T17:42:22.1846301+00:00</createDt>
<utmSource>sample string 40</utmSource>
<utmMedium>sample string 41</utmMedium>
<utmCampaign>sample string 42</utmCampaign>
<browserReferrerUrl>sample string 43</browserReferrerUrl>
<lastViewIPAddress>sample string 44</lastViewIPAddress>
<firstMemberShareDate>2026-08-11T17:42:22.1846301+00:00</firstMemberShareDate>
<firstMemberViewDate>2026-08-11T17:42:22.1846301+00:00</firstMemberViewDate>
<firstReferralViewDate>2026-08-11T17:42:22.1846301+00:00</firstReferralViewDate>
<lastReferralAddDate>2026-08-11T17:42:22.1846301+00:00</lastReferralAddDate>
<firstReferralAddDate>2026-08-11T17:42:22.1846301+00:00</firstReferralAddDate>
<lastMemberRewardAddDate>2026-08-11T17:42:22.1846301+00:00</lastMemberRewardAddDate>
<firstMemberRewardAddDate>2026-08-11T17:42:22.1846301+00:00</firstMemberRewardAddDate>
<activatedDate>2026-08-11T17:42:22.1846301+00:00</activatedDate>
<lastActiveDate>2026-08-11T17:42:22.1846301+00:00</lastActiveDate>
<status>sample string 45</status>
<recruiterSourceId>0393dd5b-cc64-4601-9b9b-f1086d0a8407</recruiterSourceId>
<recruiterSourceName>sample string 46</recruiterSourceName>
<recruiterSourceEmail>sample string 47</recruiterSourceEmail>
<recruiterAssignedId>34a7983d-d088-478e-afc5-8b80a0a1265a</recruiterAssignedId>
<recruiterAssignedName>sample string 48</recruiterAssignedName>
<recruiterAssignedEmail>sample string 49</recruiterAssignedEmail>
<recruiterAssignedExternalId>sample string 50</recruiterAssignedExternalId>
<recruiterSourceExternalId>sample string 51</recruiterSourceExternalId>
<allowExcessPayments>true</allowExcessPayments>
</member>
</memberConfirmation>